function commentExistence(comment_id, bool = true){
    var query = `SELECT 
    comments.*,
    users.name, users.profile_picture, users.id as user_id,
    (SELECT COUNT(*) FROM posts_comments WHERE parent_id = comments.id) as replies_count,
    (SELECT COUNT(*) FROM posts_comments_likes WHERE comment_id = comments.id) as awareness_points
    FROM posts_comments comments
    LEFT JOIN users users
    ON comments.user_id = users.id
    WHERE comments.id = ?
    LIMIT 1`;
    return new Promise((resolve, reject) => {
        pool.query(query, [comment_id], (err, results) => {
            if(err){
                resolve(false);
            }else if(!results[0]){
                resolve(false);
            }else{
                if(bool == false){
                    resolve(results[0]);
                }else{
                    resolve(true);
                }
            }
        });
    });
}

function commentAwareness(comment_id, user_id){
    var query = 'SELECT * FROM posts_comments_likes WHERE comment_id = ? AND user_id = ?';
    return new Promise((resolve, reject) => {
        pool.query(query, [comment_id, user_id], (err, results) => {
            if(err){
                resolve(false);
            }else if(!results[0]){
                resolve(false);
            }else{
                resolve(true);
            }
        });
    });
}

module.exports = { commentExistence, commentAwareness }
//import mysql pool
const pool = require('../database');